defmodule Bwc.Application do
  # See https://hexdocs.pm/elixir/Application.html
  # for more information on OTP Applications
  @moduledoc false

  use Application

  @impl true
  def start(_type, _args) do
    children = [
      # Starts a worker by calling: Bwc.Worker.start_link(arg)
      # {Bwc.Worker, arg}
      {Bwc.Repo, []},
      {Phoenix.PubSub, [name: Bwc.PubSub, adapter: Phoenix.PubSub.PG2]}
    ]

    # See https://hexdocs.pm/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, name: Bwc.Supervisor]
    Supervisor.start_link(children, opts)
  end
end
